Modify Organization Member
posthttps://api-atlas.nomic.ai/v1/organization/members/update
⚠️ WARNING
This endpoint is unstable & not officially supported. It may be deprecated and removed in future API versions.
Modify Organization Member
Request
Body (required) application/json
user_idstring*requiredUnique user id
access_rolestring*requiredThe access role the new user should have: MEMBER, ADMIN, OWNER
Possible values: OWNER, ADMIN, MEMBER, VIEWER, EXTERNAL, GUEST, NONE
organization_idstring*requiredUnique organization id
Responses
200Successful Response
resultstringDefault: "ok"
422Validation Error
Examples
curl
curl -X 'POST' \
'https://api-atlas.nomic.ai/v1/organization/members/update' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"user_id": "string",
"access_role": "OWNER",
"organization_id": "string"
}'